
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_stock")]
    public class WcsStock
    {

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// 物料主键
        /// </summary>
        [Column("material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [Column("material_code")]
        public string materialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [Column("material_name")]
        public string materialName { get; set; }

        /// <summary>
        /// 物料类型
        /// </summary>
        [Column("material_type")]
        public string materialType { get; set; }

        /// <summary>
        /// 仓库主键
        /// </summary>
        [Column("warehouse_id")]
        public long? warehouseId { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [Column("location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 库位名称
        /// </summary>
        [Column("location_name")]
        public string locationName { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        [Column("layer_no")]
        public int? layerNo { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        [Column("col_no")]
        public int? colNo { get; set; }

        /// <summary>
        /// 排
        /// </summary>
        [Column("row_no")]
        public int? rowNo { get; set; }

        /// <summary>
        /// 深位
        /// </summary>
        [Column("deep_no")]
        public int? deepNo { get; set; }

        /// <summary>
        /// 楼层编号
        /// </summary>
        [Column("floor_no")]
        public int? floorNo { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }
    }
}

